.home-hero {
    position: relative;
    text-align: center;
    padding: 220px 10% 120px 10%;
    animation: fadeIn 1.2s ease forwards;
    height: 100vh;
    transition: height 3.0s ease;
    color: white;
    overflow: hidden;
    box-sizing: border-box;
    background: linear-gradient(180deg, #FFD93B 0%, #F6A57F 40%, #B54BE2 100%);
}

.hero-logo {
    width: 120px;
    margin-bottom: 30px;
}

.hero h1 {
    font-size: 3.2rem;
    font-weight: 700;
}

.hero p {
    margin-top: 20px;
    font-size: 1.2rem;
    opacity: 0.9;
}




.home-community {
    background-color: rgb(42, 41, 41);
    padding: 80px 8%;
    text-align: center;
}
.home-community h1 {
    color: white;
    padding-bottom: 80px;
}
.home-community-container {
    display: flex;
    gap: 120px;
    align-items: stretch;
}
.home-community-search-div {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
    background-color: white;
    border-radius: 20px;
    color: rgb(42, 41, 41);
    padding: 40px;
}
.home-community-random-div {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
    background-color: white;
    border-radius: 20px;
    color: rgb(42, 41, 41);
    padding: 40px;
}
.home-community-search-div button {
    background-color: darkorange;
    width: 220px;
    padding: 12px 20px;
    border-radius: 50px;
    color: white;
    border: none;
    font-size: 1.1rem;
    transition: 0.3s ease;
    cursor: pointer;
}
.home-community-random-div button {
    width: 220px;
    background-color: blueviolet;
    padding: 12px 20px;
    border-radius: 50px;
    color: white;
    border: none;
    font-size: 1.1rem;
    cursor: pointer;
    transition: 0.3s ease;
}
.home-community-search-div button:hover {
    transform: scale(1.05);
}
.home-community-random-div button:hover {
    transform: scale(1.05);
}
.home-community-container p {
    font-size: 1.0rem;
}


.home-blog {
    position: relative;
    padding: 100px 8%;
    overflow: hidden;
    background: linear-gradient(180deg, #00c27a 0%, #00bfa6 30%, #0098d6 60%, #3a3ad6 100%);
    color: white;
    display: flex;
    gap: 90px;
}
.home-blog-title {
    color: white;
    display: inline-flex;
    gap: 30px;
    flex-direction: column;
    max-width: 300px;
    margin: 60px 0;
}
.home-blog-title button {
    background-color: white;
    color: rgb(36, 36, 36);
    border: none;
    padding: 16px 20px;
    border-radius: 50px;
    width: 100%;
    cursor: pointer;
    transition: 0.3s ease;
    font-size: 1.0rem;
}

.home-blog-title button:hover {
    transform: scale(1.05);
}

.home-blog-carousel {
    flex-grow: 1;
}

.home-blog-card {
    height: 100%;
    max-height: 350px;
    border-radius: 30px;
    background-color: rgb(220, 254, 255);

    box-shadow: 0 10px 20px rgba(0,0,0,0.2);

    opacity: 0;
    transition: 0.6s ease;
    cursor: pointer;

    display: flex;
    align-items: stretch; 

    overflow: hidden;
}
.home-blog-card.active {
    opacity: 1;
}

.home-blog-card:hover {
    scale: 1.03;
}

.home-blog-card-content {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;  
    padding: 30px;
    flex: 1;
}

.home-blog-card img {
    width: 40%;
    object-fit: cover;        
    flex-shrink: 0;           
}

.home-blog-card-content h2 {
    color: rgb(0, 21, 61);
    font-size: 1.2rem;
    border-bottom: solid 1px grey;
    padding: 10px;
}


.home-blog-card-content h4 {
    color: rgb(160, 160, 160);
    font-size: 0.8rem;
    padding: 10px;
    font-weight: 400;
    font-style: italic;
}


.home-blog-card-content p {
    color: rgb(39, 39, 39);
    font-size: 1.0rem;
    margin-top: 10px;
}

.home-blog-card-content a {
    margin-top: auto;
    text-decoration: none;
    color: #00685a;
}



